---
lang: en
title: 'API docs: authentication-jwt.usercredentials'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.usercredentials.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [UserCredentials](./authentication-jwt.usercredentials.md)

## UserCredentials class

<b>Signature:</b>

```typescript
export declare class UserCredentials extends Entity 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(data)](./authentication-jwt.usercredentials._constructor_.md) |  | Constructs a new instance of the <code>UserCredentials</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [id](./authentication-jwt.usercredentials.id.md) |  | number |  |
|  [password](./authentication-jwt.usercredentials.password.md) |  | string |  |
|  [userId](./authentication-jwt.usercredentials.userid.md) |  | number |  |


